<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Pembayaran</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Pembayaran </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-sticky-note"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Rekap Pembayaran</h3>
                            </div>
                            <div class="col text-right">
<!--                                <a th:href="@{/academic/curriculum/form}" class="btn btn-sm btn-default"><i class="fas fa-plus-circle"></i> Tambah</a>-->
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <form method="get">
                            <div class="row">
                                <div class="col-md-6 col-xs-12">
                                    <div class="form-group">
                                        <label>Mulai Tanggal</label>
                                        <input type="date" name="mulaiTanggal" class="form-control" placeholder="Mulai Tanggal" th:value="${mulai}">
                                    </div>
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <div class="form-group">
                                        <label >Sampai Tanggal</label>
                                        <input type="date" name="sampaiTanggal" class="form-control" placeholder="Sampai Tanggal" th:value="${sampai}">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col">
                                    <div class="form-group text-center">
                                        <button class="btn btn-primary"><i class="fas fa-search"></i> Cari</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

        </div>
        <div class="row">
            <div class="col-md-12 col-xs-12" th:if="${pembayaran != null}">
                <div class="card shadow">
<!--                    <div class="card-header border-0">-->
<!--                        <h3 class="mb-0" th:text="${selected.namaProdi}">Manajemn Bisnis</h3>-->
<!--                    </div>-->

                    <div class="card-body">
                        <div class="form-group text-left">
                            <a class="text-white btn btn-success" th:href="@{/rekap/pembayaran(mulai = ${mulai}, sampai = ${sampai})}"><i class="fas fa-download"></i> Download</a>
                        </div>
                        <div class="table-responsive">
                            <table class="table align-items-center table-flush">
                                <thead class="thead-light">
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Nim</th>
                                    <th scope="col">Nama</th>
                                    <th scope="col">Angkatan</th>
                                    <th scope="col">Program</th>
                                    <th scope="col">Prodi</th>
                                    <th scope="col">Tagihan</th>
                                    <th scope="col">Tahun Akademik</th>
                                    <th scope="col">Bank</th>
                                    <th scope="col">Jumlah</th>
                                    <th scope="col">Tanggal Transaksi</th>
                                    <th scope="col">Referensi</th>

                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="data,row : ${pembayaran}">
                                    <td th:text="${(row.index + 1) + (pembayaran.number * pembayaran.size)}">1</td>
                                    <td th:text="${data.Nim}"> Kurikulum 2018</td>
                                    <td th:text="${data.Nama}">2020</td>
                                    <td th:text="${data.Angkatan}">2020</td>
                                    <td th:text="${data.Program}">2020</td>
                                    <td th:text="${data.Prodi}">2020</td>
                                    <td th:text="${data.JenisTagihan}"></td>
                                    <td th:text="${data.TahunAkademik}"></td>
                                    <td th:text="${data.Bank}"></td>
                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(data.jumlah, 0, 'POINT', 2, 'COMMA')}"></td>
                                    <td th:text="${data.TanggalTransaksi}"></td>
                                    <td th:text="${data.Referensi}"></td>
                                </tr>

                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="card-footer py-4">
                        <nav aria-label="...">
                            <ul class="pagination justify-content-end mb-0" sd:pagination="full">
                                <li class="disabled"><a href="#" aria-label="Previous"><span
                                        aria-hidden="true">&laquo;</span></a>
                                </li>
                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                </li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
        <!-- Dark table -->


    </div>
</div>
</body>
</html>